Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[SOLVED]!!! ERROR: sys-kernel/linux-headers-2.6.17-r2 failed
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Dutch
View previous topic :: View next topic  
Author Message
cartler
n00b
n00b


Joined: 10 Dec 2006
Posts: 9

PostPosted: Mon Dec 11, 2006 1:08 am    Post subject: [SOLVED]!!! ERROR: sys-kernel/linux-headers-2.6.17-r2 failed Reply with quote

[EDIT]
Na een re-emerge van GCC ging emerge 'emerge -v --update --deep --newuse world' weer verder.
Zie ook http://forums.gentoo.org/viewtopic-p-3779116.html#3779116
[/END EDIT]

Ik probeer al een paar dagen een 'emerge -v --update --deep --newuse world' te doen.

Echter elke keer strand ik op de volgende fout:

Code:
*
* Library routines
*
CRC-CCITT functions (CRC_CCITT) [N/m/y/?] n
CRC16 functions (CRC16) [N/m/y/?] n
CRC32 functions (CRC32) [Y/?] y
CRC32c (Castagnoli, et al) Cyclic Redundancy-Check (LIBCRC32C) [N/m/y/?] n
/var/tmp/portage/linux-headers-2.6.17-r2/work/linux-2.6.17/scripts/gcc-version.sh: line 11: i686-pc-linux-gnu-gcc: command not found
/var/tmp/portage/linux-headers-2.6.17-r2/work/linux-2.6.17/scripts/gcc-version.sh: line 12: i686-pc-linux-gnu-gcc: command not found
make[1]: i686-pc-linux-gnu-gcc: Command not found
make[1]: i686-pc-linux-gnu-gcc: Command not found
/var/tmp/portage/linux-headers-2.6.17-r2/work/linux-2.6.17/scripts/gcc-version.sh: line 11: i686-pc-linux-gnu-gcc: command not found
/var/tmp/portage/linux-headers-2.6.17-r2/work/linux-2.6.17/scripts/gcc-version.sh: line 12: i686-pc-linux-gnu-gcc: command not found
make: i686-pc-linux-gnu-gcc: Command not found
  CHK     include/linux/version.h
  SPLIT   include/linux/autoconf.h -> include/config/*
  CC      arch/i386/kernel/asm-offsets.s
/bin/sh: i686-pc-linux-gnu-gcc: command not found
make[1]: *** [arch/i386/kernel/asm-offsets.s] Error 127
make: *** [prepare0] Error 2

!!! ERROR: sys-kernel/linux-headers-2.6.17-r2 failed.
Call stack:
  ebuild.sh, line 1546:   Called dyn_compile
  ebuild.sh, line 937:   Called src_compile
  ebuild.sh, line 1255:   Called kernel-2_src_compile
  kernel-2.eclass, line 1032:   Called compile_headers
  kernel-2.eclass, line 459:   Called die

!!! prepare failed
!!! If you need support, post the topmost build error, and the call stack if relevant.


Ik heb al vele draadjes op verschillende fora doorgeworsteld maar nog steeds geen idee waar dit aan kan liggen.

Ik ben zo langzaam aan aardig desperate aan het worden.

Is er iemand die enig aanknoop punt kan geven?


Last edited by cartler on Tue Dec 12, 2006 10:53 pm; edited 1 time in total
Back to top
View user's profile Send private message
bospaadje
n00b
n00b


Joined: 26 Jun 2006
Posts: 22
Location: Leiden - The Netherlands

PostPosted: Mon Dec 11, 2006 12:38 pm    Post subject: Reply with quote

het lijkt erop dat er iets fout is met je gcc, heb je recentelijk een nieuwe versie geinstalleerd (miss ook in deze update)? Zo ja, kijk dan even naar de gcc upgrade guide op http://www.gentoo.org/doc/en/gcc-upgrading.xml

opmerking: ikzelf heb niet zoveel ervaring hiermee, ik baseer deze reply op het "i686-pc-linux-gnu-gcc: Command not found" gedeelte. Btw, als dit het probleem is zouden alle packages deze fout moeten geven, niet alleen linux-headers.

btw, ik neem aan dat je normaal gesproken bij een update eerst kijkt welke packages hij wil updaten (met --ask (-a) of --pretend (-p)), zo niet is dat in het vervolg wel verstandig.. zeker om even te controleren of er niet belangrijke dingen tussenstaan die wat meer aandacht nodig hebben bij het updaten (gcc dus bijvoorbeeld).

Ik hoop dat je hier iets aan hebt, in ieder geval veel succes.

Rick
_________________
War is a conflict that doesnt determine who is right, but who is left
Back to top
View user's profile Send private message
cartler
n00b
n00b


Joined: 10 Dec 2006
Posts: 9

PostPosted: Mon Dec 11, 2006 7:14 pm    Post subject: Reply with quote

bospaadje wrote:
het lijkt erop dat er iets fout is met je gcc, heb je recentelijk een nieuwe versie geinstalleerd (miss ook in deze update)? Zo ja, kijk dan even naar de gcc upgrade guide op http://www.gentoo.org/doc/en/gcc-upgrading.xml

Andere pakketen gaan wel goed dus ik denk dat mijn gcc nog goed werkt. Maar met zekerheid durf ik dat niet te zeggen. Ik heb wel glibc geemerged. Dat heef niet geholpen.

Quote:

opmerking: ikzelf heb niet zoveel ervaring hiermee, ik baseer deze reply op het "i686-pc-linux-gnu-gcc: Command not found" gedeelte. Btw, als dit het probleem is zouden alle packages deze fout moeten geven, niet alleen linux-headers.

Nee andere pakketen kunnen wel goed compileerd worden! Bijvoorbeeld glibc.

Quote:

btw, ik neem aan dat je normaal gesproken bij een update eerst kijkt welke packages hij wil updaten (met --ask (-a) of --pretend (-p)), zo niet is dat in het vervolg wel verstandig.. zeker om even te controleren of er niet belangrijke dingen tussenstaan die wat meer aandacht nodig hebben bij het updaten (gcc dus bijvoorbeeld).

Euhm nee dat heb ik niet gedaan. Dat was inderdaad wel verstandig geweest.

Quote:

Ik hoop dat je hier iets aan hebt, in ieder geval veel succes.
Rick

Ik ga in ieder geval eens kijken naar de gcc upgrade guide. Ondanks dat ik denk dat het daar niet aan ligt.
Bedankt voor je reactie.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Dutch All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum